zoukankan      html  css  js  c++  java
  • Eclipse运行项目发生Unsupported major.minor version 52.0错误

    编程的世界错误多啊 各种乱七八糟的异常数不清啊 嘿嘿呦!!!

    今天又碰到莫名奇妙的问题了:eclipse中原来的项目运行的好好的,前几天想学AndroidStudio于是就装了,为了节省硬盘空间节间,eclipse和Android studio用的是同一份sdk,Android studio安装时将我的sdk更新了一下,于是乎我原先eclipse中的项目便不能跑了,总是报

    这个错误,以前也碰到过这个错误,解决办法就是eclipse和Android studio的sdk分开用。现在想尝试下有没有其他的解决方法

    上网搜了一下

    方法一. 说是JDK版本问题,要升级jdk,先试试吧,本地安装jdk8中。。。。。。。。。好的改完啦,重启eclipse,错误又出现啦

    运行项目还是会报之前的错误,并且这里我也无法修改成1.8,然而项目默认的jre是1.8。。。。。,闹那样

     结论:关于这个问题就网上的回答差不多都是方法一,但是我试了我没有效,关于这个问题还是没有搞明白所以然,日后研究研究。现在的解决办法只有一个:eclipse和Android studio的sdk分开用。好了不多说了我去下载网盘里的sdk了。

  • 相关阅读:
    List集合
    ArrayList_toArray
    Collection集合基础知识
    Array类的使用
    16.10
    16.9
    16.8
    16.7
    16.6
    16.5
  • 原文地址:https://www.cnblogs.com/f91og/p/6230066.html
Copyright © 2011-2022 走看看